Gem Rails 2.3.9 中如何使用 Grape?

tarzansos · 2013年04月02日 · 最后由 tarzansos 回复于 2013年04月03日 · 2745 次阅读

按照官方提供的编写 config.ru 的方法好像不行。

require "config/environment"

rails_app = Rack::Builder.new do
  use Rails::Rack::LogTailer
  use Rails::Rack::Static
  run ActionController::Dispatcher.new
end

run Rack::Cascade.new([
  MyApp::API,
  rails_app
])

有人试过可以的吗?

什么错误啊

官方 README 里嵌到 rails 里去跑的说明并没要求修改 config.ru 啊:https://github.com/intridea/grape#rails

#3 楼 @tarzansos 不好意思,看到 2.3.9 下意识的以为是 3 的。那篇文章有点老了,期间 grape 已经升级了无数次,有可能这种方式已经载不起来。

#4 楼 @ashchan 谢谢了,那 Rails2 项目就没有办法使用 Grape 了。

需要 登录 后方可回复, 如果你还没有账号请 注册新账号